"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// playwright.config.ts
const test_1 = require("@playwright/test");
const config = {
    forbidOnly: !!process.env.CI,
    retries: process.env.CI ? 2 : 0,
    use: {
        trace: 'on',
        screenshot: 'only-on-failure',
    },
    projects: [
        {
            name: 'webkit',
            use: { ...test_1.devices['Desktop Safari'] },
        },
    ],
    reporter: [
        ['line'],
        [
            './src/lib/zebReporter.js',
            {
                reporterBaseUrl: 'https://default.zebrunner.com',
                projectKey: 'DEF',
                enabled: false,
                concurrentTasks: 19,
            },
        ],
    ],
};
exports.default = config;
//# sourceMappingURL=playwright_github.config.js.map